PersistentProviderRegistrations.Provider (Apache Tomcat 9.0.43 API Documentation)

org.apache.catalina.authenticator.jaspic

## Class PersistentProviderRegistrations.Provider

- java.lang.Object
- - org.apache.catalina.authenticator.jaspic.PersistentProviderRegistrations.Provider

- Enclosing class:
    PersistentProviderRegistrations

      public static class PersistentProviderRegistrations.Provider
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Provider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProperty(PersistentProviderRegistrations.Property property)`
    `String` | `getAppContext()`
    `String` | `getClassName()`
    `String` | `getDescription()`
    `String` | `getLayer()`
    `Map<String,String>` | `getProperties()`
    `void` | `setAppContext(String appContext)`
    `void` | `setClassName(String className)`
    `void` | `setDescription(String description)`
    `void` | `setLayer(String layer)`
    `void` | `setProperty(String name, String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Provider

          public Provider()

  - ### Method Detail

    - #### getClassName

          public String getClassName()

    - #### setClassName

          public void setClassName(String className)

    - #### getLayer

          public String getLayer()

    - #### setLayer

          public void setLayer(String layer)

    - #### getAppContext

          public String getAppContext()

    - #### setAppContext

          public void setAppContext(String appContext)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### addProperty

          public void addProperty(PersistentProviderRegistrations.Property property)

    - #### setProperty

          public void setProperty(String name,
                                  String value)

    - #### getProperties

          public Map<String,String> getProperties()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.